package com.bonus.canteen.core.customer.vo;

public class MultiModelFaceVO {
   Boolean success;
   String msg;
   Integer faceVer;
   String feature;

   public static MultiModelFaceVOBuilder builder() {
      return new MultiModelFaceVOBuilder();
   }

   public Boolean getSuccess() {
      return this.success;
   }

   public String getMsg() {
      return this.msg;
   }

   public Integer getFaceVer() {
      return this.faceVer;
   }

   public String getFeature() {
      return this.feature;
   }

   public MultiModelFaceVO setSuccess(final Boolean success) {
      this.success = success;
      return this;
   }

   public MultiModelFaceVO setMsg(final String msg) {
      this.msg = msg;
      return this;
   }

   public MultiModelFaceVO setFaceVer(final Integer faceVer) {
      this.faceVer = faceVer;
      return this;
   }

   public MultiModelFaceVO setFeature(final String feature) {
      this.feature = feature;
      return this;
   }


   public MultiModelFaceVO() {
   }

   public MultiModelFaceVO(final Boolean success, final String msg, final Integer faceVer, final String feature) {
      this.success = success;
      this.msg = msg;
      this.faceVer = faceVer;
      this.feature = feature;
   }

   public static class MultiModelFaceVOBuilder {
      private Boolean success;
      private String msg;
      private Integer faceVer;
      private String feature;

      MultiModelFaceVOBuilder() {
      }

      public MultiModelFaceVOBuilder success(final Boolean success) {
         this.success = success;
         return this;
      }

      public MultiModelFaceVOBuilder msg(final String msg) {
         this.msg = msg;
         return this;
      }

      public MultiModelFaceVOBuilder faceVer(final Integer faceVer) {
         this.faceVer = faceVer;
         return this;
      }

      public MultiModelFaceVOBuilder feature(final String feature) {
         this.feature = feature;
         return this;
      }

      public MultiModelFaceVO build() {
         return new MultiModelFaceVO(this.success, this.msg, this.faceVer, this.feature);
      }

      public String toString() {
         return "MultiModelFaceVO.MultiModelFaceVOBuilder(success=" + this.success + ", msg=" + this.msg + ", faceVer=" + this.faceVer + ", feature=" + this.feature + ")";
      }
   }
}
